# @teamteanpm2024/ducimus-nostrum-ullam <sup>[![Version Badge][npm-version-svg]][package-url]</sup>

[![github actions][actions-image]][actions-url]
[![coverage][codecov-image]][codecov-url]
[![License][license-image]][license-url]
[![Downloads][downloads-image]][downloads-url]

[![npm badge][npm-badge-png]][package-url]

Is this value a JS WeakSet? This module works cross-realm/iframe, and despite ES6 @@toStringTag.

## Example

```js
var isWeakSet = require('@teamteanpm2024/ducimus-nostrum-ullam');
assert(!isWeakSet(function () {}));
assert(!isWeakSet(null));
assert(!isWeakSet(function* () { yield 42; return Infinity; });
assert(!isWeakSet(Symbol('foo')));
assert(!isWeakSet(1n));
assert(!isWeakSet(Object(1n)));

assert(!isWeakSet(new Set()));
assert(!isWeakSet(new WeakMap()));
assert(!isWeakSet(new Map()));

assert(isWeakSet(new WeakSet()));

class MyWeakSet extends WeakSet {}
assert(isWeakSet(new MyWeakSet()));
```

## Tests
Simply clone the repo, `npm install`, and run `npm test`

[package-url]: https://npmjs.org/package/@teamteanpm2024/ducimus-nostrum-ullam
[npm-version-svg]: https://versionbadg.es/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam.svg
[deps-svg]: https://david-dm.org/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam.svg
[deps-url]: https://david-dm.org/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam
[dev-deps-svg]: https://david-dm.org/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam/dev-status.svg
[dev-deps-url]: https://david-dm.org/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam#info=devDependencies
[npm-badge-png]: https://nodei.co/npm/@teamteanpm2024/ducimus-nostrum-ullam.png?downloads=true&stars=true
[license-image]: https://img.shields.io/npm/l/@teamteanpm2024/ducimus-nostrum-ullam.svg
[license-url]: LICENSE
[downloads-image]: https://img.shields.io/npm/dm/@teamteanpm2024/ducimus-nostrum-ullam.svg
[downloads-url]: https://npm-stat.com/charts.html?package=@teamteanpm2024/ducimus-nostrum-ullam
[codecov-image]: https://codecov.io/gh/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam/branch/main/graphs/badge.svg
[codecov-url]: https://app.codecov.io/gh/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam/
[actions-image]: https://img.shields.io/endpoint?url=https://github-actions-badge-u3jn4tfpocch.runkit.sh/inspect-js/@teamteanpm2024/ducimus-nostrum-ullam
[actions-url]: https://github.com/teamteanpm2024/ducimus-nostrum-ullam/actions
